# Contacts

Customers and suppliers.

## Endpoints

- [List contacts](https://developers.numina.app/api/contacts/list-contacts.md): `GET /v1/contacts`
- [Create contact](https://developers.numina.app/api/contacts/create-contact.md): `POST /v1/contacts`
- [Get contact](https://developers.numina.app/api/contacts/get-contact.md): `GET /v1/contacts/{id}`
- [Update contact](https://developers.numina.app/api/contacts/update-contact.md): `PUT /v1/contacts/{id}`

## The contact object

- `id` (string (uuid), required): Contact ID
- `name` (string, required): Contact name
- `cvr` (integer, required, nullable): Danish CVR number
- `vat_number` (string, required, nullable): VAT number (international)
- `country_code` (string, required, nullable): ISO country code
- `address_street` (string, required, nullable): Street address
- `address_zip` (string, required, nullable): Postal code
- `address_city` (string, required, nullable): City
- `country` (string, required, nullable): Country name. Sent as `address_country`.
- `email` (string, required, nullable): Contact email
- `phone` (string, required, nullable): Contact phone number
- `attn_person` (string, required, nullable): Attention person
- `e_invoice_number` (string, required, nullable): E-invoice identifier (CVR or GLN)
- `e_invoice_scheme` (string, required, nullable): E-invoice scheme (DK:CVR or GLN)
- `archived` (boolean, required): Archived contacts stay readable for their history but can't be invoiced

```json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Acme ApS",
  "cvr": 12345678,
  "vat_number": "DK12345678",
  "country_code": "DK",
  "address_street": "Vestergade 1",
  "address_zip": "1456",
  "address_city": "Copenhagen",
  "country": "Denmark",
  "email": "billing@acme.dk",
  "phone": "+45 12 34 56 78",
  "attn_person": "Jane Doe",
  "e_invoice_number": "12345678",
  "e_invoice_scheme": "DK:CVR",
  "archived": false
}
```
